Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class PickedObject

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.PickedObject

All Implemented Interfaces:
  AVList, PropertyChangeListener, EventListener

    public class PickedObject

extends AVListImpl

Field Summary

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`PickedObject(int colorCode, Object userObject)`
`PickedObject(int colorCode, Object userObject, Angle lat, Angle lon, double elev, boolean isTerrain)`
`PickedObject(int colorCode, Object userObject, Position position, boolean isTerrain)`

Method Summary
`boolean` | `equals(Object o)`
`int` | `getColorCode()`
`Object` | `getObject()`
`Layer` | `getParentLayer()`
`Position` | `getPosition()`
`int` | `hashCode()`
`boolean` | `hasPosition()`
`boolean` | `isOnTop()`
`boolean` | `isTerrain()`
`void` | `setOnTop()`
`void` | `setParentLayer(Layer layer)`
`void` | `setPosition(Position position)`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PickedObject

    public PickedObject(int colorCode,
                        Object userObject)

### PickedObject

    public PickedObject(int colorCode,
                        Object userObject,
                        Angle lat,
                        Angle lon,
                        double elev,
                        boolean isTerrain)

### PickedObject

    public PickedObject(int colorCode,
                        Object userObject,
                        Position position,
                        boolean isTerrain)

Method Detail

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### getColorCode

    public int getColorCode()

### getObject

    public Object getObject()

### getParentLayer

    public Layer getParentLayer()

### getPosition

    public Position getPosition()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### hasPosition

    public boolean hasPosition()

### isOnTop

    public boolean isOnTop()

### isTerrain

    public boolean isTerrain()

### setOnTop

    public void setOnTop()

### setParentLayer

    public void setParentLayer(Layer layer)

### setPosition

    public void setPosition(Position position)

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD